org.springframework.web.reactive.result.method

## Interface HandlerMethodArgumentResolver

All Known Subinterfaces:
  SyncHandlerMethodArgumentResolver

All Known Implementing Classes:
  AbstractMessageReaderArgumentResolver, AbstractNamedValueArgumentResolver, AbstractNamedValueSyncArgumentResolver, ContinuationHandlerMethodArgumentResolver, CookieValueMethodArgumentResolver, ErrorsMethodArgumentResolver, ExpressionValueMethodArgumentResolver, HandlerMethodArgumentResolverSupport, HttpEntityMethodArgumentResolver, MatrixVariableMapMethodArgumentResolver, MatrixVariableMethodArgumentResolver, ModelAttributeMethodArgumentResolver, ModelMethodArgumentResolver, PathVariableMapMethodArgumentResolver, PathVariableMethodArgumentResolver, PrincipalMethodArgumentResolver, RequestAttributeMethodArgumentResolver, RequestBodyMethodArgumentResolver, RequestHeaderMapMethodArgumentResolver, RequestHeaderMethodArgumentResolver, RequestParamMapMethodArgumentResolver, RequestParamMethodArgumentResolver, RequestPartMethodArgumentResolver, ServerWebExchangeMethodArgumentResolver, SessionAttributeMethodArgumentResolver, SessionStatusMethodArgumentResolver, WebSessionMethodArgumentResolver

    public interface HandlerMethodArgumentResolver

Strategy to resolve the argument value for a method parameter in the context of the current HTTP request.

Since:
  5.0
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`reactor.core.publisher.Mono<Object>` `resolveArgument(org.springframework.core.MethodParameter parameter, BindingContext bindingContext, org.springframework.web.server.ServerWebExchange exchange)` Resolve the value for the method parameter.
`boolean` `supportsParameter(org.springframework.core.MethodParameter parameter)` Whether this resolver supports the given method parameter.

### Method Detail

#### supportsParameter

    boolean supportsParameter(org.springframework.core.MethodParameter parameter)

Whether this resolver supports the given method parameter.

Parameters:
  `parameter` - the method parameter

#### resolveArgument

    reactor.core.publisher.Mono<Object> resolveArgument(org.springframework.core.MethodParameter parameter,
                                                        BindingContext bindingContext,
                                                        org.springframework.web.server.ServerWebExchange exchange)

Resolve the value for the method parameter.

Parameters:
  `parameter` - the method parameter
  `bindingContext` - the binding context to use
  `exchange` - the current exchange
Returns:
  `Mono` for the argument value, possibly empty